## keystone 26.1.0

=== debian/changelog ===
keystone (2:26.1.0-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.
  * Removed keystone-bug-2119646-stable-2024.2.patch applied upstream.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-dalmatian.debian.net>  Tue, 27 Jan 2026 13:46:17 +0000

keystone (2:26.0.0-6) UNRELEASED; urgency=medium

  * OSSA-2025-002: kay reported a vulnerability in Keystone’s ec2tokens and
    s3tokens APIs. By sending those endpoints a valid AWS Signature (e.g., from
    a presigned S3 URL), an unauthenticated attacker may obtain Keystone
    authorization (ec2tokens can yield a fully scoped token; s3tokens can
    reveal scope accepted by some services), resulting in unauthorized access
    and privilege escalation. Deployments where /v3/ec2tokens or /v3/s3tokens
    are reachable by unauthenticated clients (e.g., exposed on a public API)
    are affected.
    Applied upstream patch (Closes: #1120053):
    - keystone-bug-2119646-stable-2025.1.patch

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Oct 2025 10:54:03 +0100

keystone (2:26.0.0-5) UNRELEASED; urgency=medium

  * Set export OS_OSLO_MESSAGING_RABBIT__PROCESSNAME for all daemons.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Jul 2025 12:34:14 +0200

keystone (2:26.0.0-4) unstable; urgency=medium

  * Removed python3-pep8 from build-depends.

 -- Thomas Goirand <zigo@debian.org>  Tue, 14 Jan 2025 08:48:40 +0100

keystone (2:26.0.0-3) unstable; urgency=medium

  [ Hendrik Oenings ]
  * Allow usage of https or non-localhost for bootstrap.

 -- Thomas Goirand <zigo@debian.org>  Fri, 27 Dec 2024 11:08:52 +0100

keystone (2:26.0.0-2) unstable; urgency=medium

  * Updated Catalan translation of keystone's debconf messages.
  * Reviewed default role creation.
  * Switch to pybuild (Closes: #1090427).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 16:30:52 +0100

keystone (2:26.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Blacklist because undeterministic: SAMLGenerationTests.test_saml_signing.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Oct 2024 13:35:34 +0200

keystone (2:26.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Sep 2024 17:10:36 +0200

keystone (2:26.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 13 Sep 2024 10:10:40 +0200

=== debian/control ===
Source: keystone
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 11),
 dh-apparmor,
 dh-python,
 openstack-pkg-tools (>= 123~),
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 git,
 python3-bashate,
 python3-bcrypt,
 python3-coverage,
 python3-cryptography,
 python3-dogpile.cache,
 python3-fixtures,
 python3-flask,
 python3-flask-restful,
 python3-freezegun,
 python3-hacking,
 python3-jsonschema,
 python3-jwt,
 python3-keystoneclient,
 python3-keystonemiddleware,
 python3-ldap,
 python3-ldappool,
 python3-lxml,
 python3-memcache,
 python3-msgpack,
 python3-oauthlib,
 python3-openstackdocstheme,
 python3-os-api-ref,
 python3-oslo.cache,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy,
 python3-oslo.serialization,
 python3-oslo.upgradecheck,
 python3-oslo.utils,
 python3-oslotest,
 python3-osprofiler,
 python3-passlib,
 python3-pycadf,
 python3-pymongo,
 python3-pysaml2,
 python3-requests,
 python3-scrypt,
 python3-sphinx-feature-classification,
 python3-sphinxcontrib.apidoc,
 python3-sphinxcontrib.blockdiag,
 python3-sphinxcontrib.seqdiag,
 python3-sqlalchemy,
 python3-stestr,
 python3-stevedore,
 python3-tempest,
 python3-testresources,
 python3-testscenarios,
 python3-testtools,
 python3-tz,
 python3-webob,
 python3-webtest,
 subunit,
 tempest,
 xmlsec1,
Standards-Version: 4.4.1
Homepage: http://keystone.openstack.org/
Vcs-Browser: https://salsa.debian.org/openstack-team/services/keystone
Vcs-Git: https://salsa.debian.org/openstack-team/services/keystone.git

Package: keystone
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python3-keystone (= ${source:Version}),
 python3-keystoneclient,
 python3-openstackclient,
 python3-pastescript,
 q-text-as-data,
 sqlite3,
 uwsgi-plugin-apparmor,
 uwsgi-plugin-python3,
 xmlsec1,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 apparmor,
Description: OpenStack identity service
 This is the identity service used by OpenStack for authentication (authN)
 and high-level authorization (authZ). It currently supports token-based
 authN with user/service authZ, and is scalable to support OAuth, SAML,
 and OpenID in future versions. Out of the box, Keystone uses SQLite for
 its identity store database, with the option to connect to external LDAP.
 .
 This package contains the daemons.

Package: keystone-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack identity service - documentation
 This is the identity service used by OpenStack for authentication (authN)
 and high-level authorization (authZ). It currently supports token-based
 authN with user/service authZ, and is scalable to support OAuth, SAML,
 and OpenID in future versions. Out of the box, Keystone uses SQLite for
 its identity store database, with the option to connect to external LDAP.
 .
 This package contains the documentation.

Package: python3-keystone
Architecture: all
Section: python
Depends:
 python3-bcrypt,
 python3-cryptography,
 python3-dateutil,
 python3-dogpile.cache,
 python3-flask,
 python3-flask-restful,
 python3-jsonschema,
 python3-jwt,
 python3-keystoneclient,
 python3-keystonemiddleware,
 python3-ldappool,
 python3-lxml,
 python3-memcache,
 python3-msgpack,
 python3-oauthlib,
 python3-openstackclient,
 python3-oslo.cache,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy,
 python3-oslo.serialization,
 python3-oslo.upgradecheck,
 python3-oslo.utils,
 python3-osprofiler,
 python3-passlib,
 python3-pbr,
 python3-pycadf,
 python3-pyldap,
 python3-pymysql,
 python3-pysaml2,
 python3-scrypt,
 python3-sqlalchemy,
 python3-stevedore,
 python3-tz,
 python3-webob,
 ${misc:Depends},
 ${python3:Depends},
Conflicts:
 python-keystone,
Description: OpenStack identity service - library
 This is the identity service used by OpenStack for authentication (authN)
 and high-level authorization (authZ). It currently supports token-based
 authN with user/service authZ, and is scalable to support OAuth, SAML,
 and OpenID in future versions. Out of the box, Keystone uses SQLite for
 its identity store database, with the option to connect to external LDAP.
 .
 This package contains the Python libraries.

=== debian/rules ===
#!/usr/bin/make -f

# auth_token middleware now requires access to HOME, otherwise
# test suite cause FTBFS.  See (LP: #1031022)
export HOME="$(CURDIR)/debian/tests/"

# This is to avoid git clone of keystoneclient when running unit tests.
# See https://review.openstack.org/122768/
export KSCTEST_PATH=/usr/lib/python3/dist-packages/keystoneclient

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_clean:
	rm -rf $(CURDIR)/build $(CURDIR)/keystone.egg-info $(CURDIR)/.cache
	rm -rf $(CURDIR)/keystone/test/keystone.sql.log $(CURDIR)/keystone/test/keystone.ldap.log
	rm -rf $(CURDIR)/doc/build
	# NOTE(adam_g) The following stuff is built in /doc/source.  Safe for now, but
	# should be fixed upstream or updated here post-essex
	rm -rf $(CURDIR)/doc/source/keystone*.rst
	rm -rf $(CURDIR)/doc/source/modules.rst
	rm -rf $(CURDIR)/doc/source/sourcecode $(CURDIR)/doc/source/api
	rm -f $(CURDIR)/doc/source/_static/keystone.conf.sample
	rm -f $(CURDIR)/doc/source/_static/keystone.policy.yaml.sample
	rm -rf $(CURDIR)/admin.log $(CURDIR)/keystone-legacy-auth.log
	rm -f $(CURDIR)/debian/keystone.config $(CURDIR)/debian/keystone.postinst debian/keystone.service debian/keystone.init
	find $(CURDIR)/keystone/tests -name '*.db' -delete
	rm -rf $(CURDIR)/vendor keystone/tests/unit/tmp keystone/tests/tmp
	rm -rf $(CURDIR)/.stestr '"'
	rm -f $(CURDIR)/debian/tests/testing.db
	rm -f $(CURDIR)/debian/keystone.keystone*.init $(CURDIR)/debian/keystone.keystone*.service $(CURDIR)/debian/keystone.keystone*.upstart
	find $(CURDIR) -name '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
	rm -f AUTHORS ChangeLog
	dh_clean

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func keystone.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func keystone.postinst

override_dh_auto_clean:
	python3 setup.py clean

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Doing nothing..."

override_dh_install:
	for i in $(PYTHON3S) ; do \
		PYTHON=python$$i python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
	done

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	# See: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1078623
	# and https://bugs.launchpad.net/keystone/+bug/2076992
	# test_v3_auth\.TrustAPIBehavior\.test_redelegate_with_role_by_name
	# test_v3_auth\.TrustAPIBehavior\.test_redelegation_terminator
	# test_v3_auth\.TrustAPIBehavior\.test_roles_subset
	# test_v3_auth\.TestTrustAuthFernetTokenProvider\.test_redelegate_with_role_by_name
	# test_v3_auth\.TestTrustAuthFernetTokenProvider\.test_redelegation_terminator
	# test_v3_auth\.TestTrustAuthFernetTokenProvider\.test_roles_subset

	@echo "===> Running tests"
	mkdir -p $(CURDIR)/keystone/tests/tmp
	pkgos-dh_auto_test --no-py2 'keystone\.tests\.unit\.(?!(.*test_v3_federation\.SAMLGenerationTests\.test_sign_assertion_exc.*|.*test_sql_upgrade.FullMigration.*|.*test_hacking_checks\.TestCheckForMutableDefaultArgs\.test.*|.*common\.test_notifications\.NotificationsTestCase.*|.*test_v3_auth\.TestAuthInfo\.test_get_method_names_duplicates.*|.*test_backend_sql\.SqlCatalog\.test_get_service_returns_not_found.*|.*tests\.test_core\.TestTestCase\.test_deprecation_warnings_are_raised_as_exceptions_in_tests.*|.*test_v3_federation.*SAMLGenerationTests.*test_sign_assertion_logs_message_if_xmlsec1_is_not_installed.*|test_v3_auth\.TrustAPIBehavior\.test_redelegate_with_role_by_name|test_v3_auth\.TrustAPIBehavior\.test_redelegation_terminator|test_v3_auth\.TrustAPIBehavior\.test_roles_subset|test_v3_auth\.TestTrustAuthFernetTokenProvider\.test_redelegate_with_role_by_name|test_v3_auth\.TestTrustAuthFernetTokenProvider\.test_redelegation_terminator|test_v3_auth\.TestTrustAuthFernetTokenProvider\.test_roles_subset|test_v3_federation\.SAMLGenerationTests\.test_saml_signing))'
endif

	rm -rf $(CURDIR)/debian/tmp/usr/etc
	dh_install
	dh_missing --fail-missing
	rm -rf debian/python3-keystone/usr/lib/python*/*/doc
	rm -rf debian/python3-keystone/usr/lib/python*/*/tools
	rm -rf debian/python3-keystone/usr/lib/python*/*/examples
	install -D -m 0600 $(CURDIR)/debian/logging.conf $(CURDIR)/debian/keystone/etc/keystone/logging.conf
	mkdir -p $(CURDIR)/debian/keystone/usr/share/keystone
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/keystone/usr/share/keystone/keystone.conf \
		--wrap-width 140 \
		--namespace keystone \
		--namespace oslo.cache \
		--namespace oslo.log \
		--namespace oslo.messaging \
		--namespace oslo.policy \
		--namespace oslo.db \
		--namespace oslo.middleware \
		--namespace osprofiler
	pkgos-fix-config-default $(CURDIR)/debian/keystone/usr/share/keystone/keystone.conf catalog template_file /etc/keystone/default_catalog.templates
	pkgos-fix-config-default $(CURDIR)/debian/keystone/usr/share/keystone/keystone.conf DEFAULT log_dir /var/log/keystone
	pkgos-fix-config-default $(CURDIR)/debian/keystone/usr/share/keystone/keystone.conf DEFAULT log_file keystone.log
	pkgos-fix-config-default $(CURDIR)/debian/keystone/usr/share/keystone/keystone.conf federation sso_callback_template /etc/keystone/sso_callback_template.html

	mkdir -p $(CURDIR)/debian/keystone/etc/keystone/policy.d
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslopolicy-sample-generator \
		--output-file $(CURDIR)/debian/keystone/etc/keystone/policy.d/00_default_policy.yaml \
		--format yaml \
		--namespace keystone

	# Comment out deprecated policies
	sed -i 's/^"/#"/' $(CURDIR)/debian/keystone/etc/keystone/policy.d/00_default_policy.yaml

	# Use the policy.d folder
	pkgos-fix-config-default $(CURDIR)/debian/keystone/usr/share/keystone/keystone.conf oslo_policy policy_dirs /etc/keystone/policy.d

	install -D -m 0644 debian/keystone.apparmor $(CURDIR)/debian/keystone/etc/apparmor.d/usr.bin.keystone-all
	dh_apparmor --profile-name=usr.bin.keystone-all

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source $(CURDIR)/debian/keystone-doc/usr/share/doc/keystone-doc/html
	dh_sphinxdoc
endif

override_dh_installman:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b man doc/source doc/build/man
	dh_installman
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

#override_dh_installmenu:
#	dh_installinit --name=keystone-admin
#	dh_installinit --name=keystone-public

## keystone 27.0.0~rc1

=== debian/changelog ===
keystone (2:27.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 15:27:01 +0100

keystone (2:27.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed remove-blockdiag-schema-to-avoid-ftbfs.patch now useless.
  * Rebased set-deprecation-warnings-to-ignore.patch.
  * Blacklist broken tests:
    - test_project_id_specified_if_include_subtree_specified
    - test_bootstrap_is_not_idempotent_when_password_does_change
  * Do not install etc/default_catalog.templates.
  * Build-depends on openstack-pkg-tools >= 133~.

 -- Thomas Goirand <zigo@debian.org>  Thu, 13 Mar 2025 17:21:14 +0100

## keystone 27.0.0

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.

# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0
WebOb>=1.7.1 # MIT
Flask!=0.11,>=1.0.2  # BSD
Flask-RESTful>=0.3.5  # BSD
cryptography>=2.7 # BSD/Apache-2.0
SQLAlchemy>=1.4.0 # MIT
stevedore>=1.20.0 # Apache-2.0
python-keystoneclient>=3.8.0 # Apache-2.0
keystonemiddleware>=7.0.0 # Apache-2.0
bcrypt>=3.1.3 # Apache-2.0
scrypt>=0.8.0 # BSD
oslo.cache>=1.26.0 # Apache-2.0
oslo.config>=6.8.0 # Apache-2.0
oslo.context>=2.22.0 # Apache-2.0
oslo.messaging>=5.29.0 # Apache-2.0
oslo.db>=6.0.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.log>=3.44.0 # Apache-2.0
oslo.middleware>=3.31.0 # Apache-2.0
oslo.policy>=4.5.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.upgradecheck>=1.3.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
oauthlib>=0.6.2 # BSD
pysaml2>=5.0.0
PyJWT>=1.6.1 # MIT
dogpile.cache>=1.0.2 # BSD
jsonschema>=3.2.0 # MIT
pycadf!=2.0.0,>=1.1.0 # Apache-2.0
msgpack>=0.5.0 # Apache-2.0
osprofiler>=1.4.0 # Apache-2.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
openstackdocstheme>=2.2.1 # Apache-2.0
sphinx>=2.0.0,!=2.1.0 # BSD
sphinxcontrib-apidoc>=0.2.0  # BSD
sphinx-feature-classification>=0.3.2  # Apache-2.0
reno>=3.1.0 # Apache-2.0
os-api-ref>=1.4.0 # Apache-2.0
python-ldap>=3.0.0  # PSF
ldappool>=2.0.0 # MPL

=== debian/changelog ===
keystone (2:27.0.0-3) unstable; urgency=medium

  * export OS_OSLO_MESSAGING_RABBIT__PROCESSNAME.

 -- Thomas Goirand <zigo@debian.org>  Fri, 11 Jul 2025 14:00:40 +0200

keystone (2:27.0.0-2) unstable; urgency=medium

  * Added api_Remove_constraints_on_user_IDs.patch. Without it, users with an
    underscore can be rejected, I've been told on IRC.

 -- Thomas Goirand <zigo@debian.org>  Fri, 30 May 2025 10:10:40 +0200

keystone (2:27.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Apr 2025 12:53:09 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  debhelper-compat (= 11),
  dh-apparmor,
  dh-python,
- openstack-pkg-tools (>= 123~),
+ openstack-pkg-tools (>= 133~),
  po-debconf,
  python3-all,
  python3-pbr,
@@ -47,13 +47,12 @@
  python3-oslo.log,
  python3-oslo.messaging,
  python3-oslo.middleware,
- python3-oslo.policy,
+ python3-oslo.policy (>= 4.5.0),
  python3-oslo.serialization,
  python3-oslo.upgradecheck,
  python3-oslo.utils,
  python3-oslotest,
  python3-osprofiler,
- python3-passlib,
  python3-pycadf,
  python3-pymongo,
  python3-pysaml2,
@@ -152,12 +151,11 @@
  python3-oslo.log,
  python3-oslo.messaging,
  python3-oslo.middleware,
- python3-oslo.policy,
+ python3-oslo.policy (>= 4.5.0),
  python3-oslo.serialization,
  python3-oslo.upgradecheck,
  python3-oslo.utils,
  python3-osprofiler,
- python3-passlib,
  python3-pbr,
  python3-pycadf,
  python3-pyldap,

=== debian/rules ===
--- 
+++ 
@@ -63,10 +63,12 @@
 	# test_v3_auth\.TestTrustAuthFernetTokenProvider\.test_redelegate_with_role_by_name
 	# test_v3_auth\.TestTrustAuthFernetTokenProvider\.test_redelegation_terminator
 	# test_v3_auth\.TestTrustAuthFernetTokenProvider\.test_roles_subset
+	# Not indenpotent:
+	# test_cli\.CliBootStrapTestCase\.test_bootstrap_is_not_idempotent_when_password_does_change
 
 	@echo "===> Running tests"
 	mkdir -p $(CURDIR)/keystone/tests/tmp
-	pkgos-dh_auto_test --no-py2 'keystone\.tests\.unit\.(?!(.*test_v3_federation\.SAMLGenerationTests\.test_sign_assertion_exc.*|.*test_sql_upgrade.FullMigration.*|.*test_hacking_checks\.TestCheckForMutableDefaultArgs\.test.*|.*common\.test_notifications\.NotificationsTestCase.*|.*test_v3_auth\.TestAuthInfo\.test_get_method_names_duplicates.*|.*test_backend_sql\.SqlCatalog\.test_get_service_returns_not_found.*|.*tests\.test_core\.TestTestCase\.test_deprecation_warnings_are_raised_as_exceptions_in_tests.*|.*test_v3_federation.*SAMLGenerationTests.*test_sign_assertion_logs_message_if_xmlsec1_is_not_installed.*|test_v3_auth\.TrustAPIBehavior\.test_redelegate_with_role_by_name|test_v3_auth\.TrustAPIBehavior\.test_redelegation_terminator|test_v3_auth\.TrustAPIBehavior\.test_roles_subset|test_v3_auth\.TestTrustAuthFernetTokenProvider\.test_redelegate_with_role_by_name|test_v3_auth\.TestTrustAuthFernetTokenProvider\.test_redelegation_terminator|test_v3_auth\.TestTrustAuthFernetTokenProvider\.test_roles_subset|test_v3_federation\.SAMLGenerationTests\.test_saml_signing))'
+	pkgos-dh_auto_test --no-py2 'keystone\.tests\.unit\.(?!(.*test_v3_federation\.SAMLGenerationTests\.test_sign_assertion_exc.*|.*test_sql_upgrade.FullMigration.*|.*test_hacking_checks\.TestCheckForMutableDefaultArgs\.test.*|.*common\.test_notifications\.NotificationsTestCase.*|.*test_v3_auth\.TestAuthInfo\.test_get_method_names_duplicates.*|.*test_backend_sql\.SqlCatalog\.test_get_service_returns_not_found.*|.*tests\.test_core\.TestTestCase\.test_deprecation_warnings_are_raised_as_exceptions_in_tests.*|.*test_v3_federation.*SAMLGenerationTests.*test_sign_assertion_logs_message_if_xmlsec1_is_not_installed.*|test_v3_auth\.TrustAPIBehavior\.test_redelegate_with_role_by_name|test_v3_auth\.TrustAPIBehavior\.test_redelegation_terminator|test_v3_auth\.TrustAPIBehavior\.test_roles_subset|test_v3_auth\.TestTrustAuthFernetTokenProvider\.test_redelegate_with_role_by_name|test_v3_auth\.TestTrustAuthFernetTokenProvider\.test_redelegation_terminator|test_v3_auth\.TestTrustAuthFernetTokenProvider\.test_roles_subset|test_v3_federation\.SAMLGenerationTests\.test_saml_signing|test_v3_assignment\.AssignmentInheritanceTestCase\.test_project_id_specified_if_include_subtree_specified|test_cli\.CliBootStrapTestCase\.test_bootstrap_is_not_idempotent_when_password_does_change))'
 endif
 
 	rm -rf $(CURDIR)/debian/tmp/usr/etc

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/keystone/tags .*/(\d[brc\d\.]+)\.tar\.gz

## keystone 27.0.0+git2025080113.e066e18ab

=== debian/changelog ===
keystone (2:27.0.0+git2025080113.e066e18ab-0ubuntu1) questing; urgency=medium

  [ Guillaume Boutry ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    flamingo.

  [ Myles Penner ]
  * New upstream release for OpenStack Flamingo. (LP: #2116155)
  * d/s/options: Ignore .launchpad.yaml when generating diffs.
  * d/p/add-missing-manifest.patch: Refresh.
  * d/p/add-version-info.patch: Refresh.
  * d/p/jsonschema-compat.patch: Refresh.
  * d/p/notifications-test-config.patch: Refresh.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/saml-xmlsec1-fix.patch: Add patch to use --lax-key-search
    to fix issue with SAML key signing. (LP: #2119991)
  * Flamingo feature freeze exception (LP: #2121258)

 -- Myles Penner <myles.penner@canonical.com>  Fri, 01 Aug 2025 13:17:10 -0700

keystone (2:27.0.0-0ubuntu1) plucky; urgency=medium

  * d/watch: Track Epoxy series releases.
  * New upstream release for OpenStack Epoxy.

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Thu, 03 Apr 2025 18:27:57 +0200

## keystone 28.0.0~rc1

=== debian/changelog ===
keystone (2:28.0.0~rc1-4~bpo13+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@trixie-flamingo.debian.net>  Mon, 29 Sep 2025 08:01:47 +0000

keystone (2:28.0.0~rc1-4) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Sep 2025 09:42:36 +0200

keystone (2:28.0.0~rc1-3) experimental; urgency=medium

  * Fix UWSGI_INI_APP again in keystone init script.

 -- Thomas Goirand <zigo@debian.org>  Sat, 20 Sep 2025 20:11:19 +0200

keystone (2:28.0.0~rc1-2) experimental; urgency=medium

  * Fixed UWSGI_INI_APP in init script.
  * Fixed correct module= directive in wsgi.ini.

 -- Thomas Goirand <zigo@debian.org>  Thu, 18 Sep 2025 21:52:22 +0200

keystone (2:28.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Add python3-werkzeug as (build-)depends.
  * d/keystone-uwsgi.ini: use module = keystone.wsgi.api instead of the
    wsgi-file, as it's gone from upstream.
  * Removed api_Remove_constraints_on_user_IDs.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Thu, 11 Sep 2025 22:04:25 +0200

## keystone 28.0.0

=== requirements.txt ===
--- 
+++ 
@@ -37,3 +37,4 @@
 pycadf!=2.0.0,>=1.1.0 # Apache-2.0
 msgpack>=0.5.0 # Apache-2.0
 osprofiler>=1.4.0 # Apache-2.0
+Werkzeug>=0.15.0 # BSD License

=== api-ref/requirements.txt ===
# os-openapi is installed directly from git since we do not do releases (yet?)
os-openapi @ git+https://opendev.org/openstack/openapi

os-api-ref>=1.4.0 # Apache-2.0

=== doc/requirements.txt ===
--- 
+++ 
@@ -6,6 +6,5 @@
 sphinxcontrib-apidoc>=0.2.0  # BSD
 sphinx-feature-classification>=0.3.2  # Apache-2.0
 reno>=3.1.0 # Apache-2.0
-os-api-ref>=1.4.0 # Apache-2.0
 python-ldap>=3.0.0  # PSF
 ldappool>=2.0.0 # MPL

=== debian/changelog ===
keystone (2:28.0.0-0ubuntu1) questing; urgency=medium

  * New upstream release for OpenStack Flamingo (LP: #2125956).

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Wed, 01 Oct 2025 13:47:19 +0200

keystone (2:28.0.0~rc1-0ubuntu1) questing; urgency=medium

  * New upstream release for OpenStack Flamingo (LP: #2125012).
  * d/watch: Update version detection.
  * d/watch: Add Flamingo key verification.
  * d/u/signing-key.asc: Add Flamingo public key.

 -- Myles Penner <myles.penner@canonical.com>  Fri, 19 Sep 2025 07:40:22 -0700

=== debian/control ===
Source: keystone
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Monty Taylor <mordred@inaugust.com>
Build-Depends:
 apache2-dev,
 debhelper-compat (= 13),
 dh-apache2,
 dh-python,
 openstack-pkg-tools (>= 119ubuntu1~),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
 python3-sphinx-feature-classification (>= 0.3.2),
Build-Depends-Indep:
 crudini,
 python3-bashate (>= 0.5.1),
 python3-bcrypt (>= 3.1.3),
 python3-cryptography (>= 2.7),
 python3-dogpile.cache (>= 1.0.2),
 python3-fixtures (>= 3.0.0),
 python3-flake8-docstrings (>= 0.2.1.post1),
 python3-flask (>= 1.0.2),
 python3-flask-restful (>= 0.3.5),
 python3-freezegun (>= 0.3.6),
 python3-hacking,
 python3-jsonschema (>= 3.2.0),
 python3-jwt (>= 1.6.1),
 python3-keystoneclient (>= 1:3.8.0),
 python3-keystonemiddleware (>= 7.0.0),
 python3-ldap (>= 3.0.0),
 python3-ldappool (>= 2.0.0),
 python3-lxml (>= 4.5.0),
 python3-memcache,
 python3-msgpack (>= 0.5.0),
 python3-oauthlib (>= 0.6.2),
 python3-openstackdocstheme (>= 2.2.1),
 python3-os-api-ref (>= 1.4.0),
 python3-oslo.cache (>= 1.26.0),
 python3-oslo.config (>= 1:6.8.0),
 python3-oslo.context (>= 1:2.22.0),
 python3-oslo.db (>= 6.0.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.44.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 4.3.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-osprofiler (>= 1.4.0),
 python3-passlib (>= 1.7.0),
 python3-paste (>= 2.0.2),
 python3-pastedeploy (>= 1.5.0),
 python3-pycadf (>= 1.1.0),
 python3-pycodestyle (>= 2.0.0),
 python3-pymongo,
 python3-pymysql,
 python3-pysaml2 (>= 5.0.0),
 python3-requests (>= 2.14.2),
 python3-scrypt (>= 0.8.0),
 python3-sphinxcontrib.apidoc (>= 0.2.0),
 python3-sphinxcontrib.blockdiag (>= 1.5.5),
 python3-sphinxcontrib.seqdiag (>= 0.8.4),
 python3-sqlalchemy (>= 1.4.0),
 python3-stestr (>= 1.0.0),
 python3-stevedore (>= 1:1.20.0),
 python3-tempest (>= 1:17.1.0),
 python3-testresources (>= 2.0.0),
 python3-testtools (>= 2.2.0),
 python3-webob (>= 1:1.7.1),
 python3-webtest (>= 2.0.27),
 python3-werkzeug (>= 0.15.0),
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/keystone
Homepage: https://opendev.org/openstack/keystone
Testsuite: autopkgtest-pkg-python

Package: keystone
Architecture: all
Section: python
Depends:
 adduser,
 apache2 | httpd,
 libapache2-mod-wsgi-py3,
 python3-keystone (= ${source:Version}),
 ssl-cert (>= 1.0.12),
 ${misc:Depends},
Recommends:
 ${misc:Recommends},
Description: OpenStack identity service - Daemons
 Keystone is a proposed independent authentication service for OpenStack.
 .
 This initial proof of concept aims to address the current use cases in Swift
 and Nova which are:
 .
  * REST-based, token auth for Swift
  * many-to-many relationship between identity and tenant for Nova. Keystone
    does authentication and stuff
 .
 This package contains the daemons.

Package: keystone-common
Architecture: all
Section: python
Depends:
 ${misc:Depends},
Description: OpenStack identity service - Common files
 Keystone is a proposed independent authentication service for OpenStack.
 .
 This initial proof of concept aims to address the current use cases in Swift
 and Nova which are:
 .
  * REST-based, token auth for Swift
  * many-to-many relationship between identity and tenant for Nova. Keystone
    does authentication and stuff
 .
 This package contains the common files.

Package: keystone-doc
Architecture: all
Section: doc
Depends:
 libjs-jquery,
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack identity service - Documentation
 Keystone is a proposed independent authentication service for OpenStack.
 .
 This initial proof of concept aims to address the current use cases in Swift
 and Nova which are:
 .
  * REST-based, token auth for Swift
  * many-to-many relationship between identity and tenant for Nova. Keystone
    does authentication and stuff
 .
 This package contains the documentation.

Package: python3-keystone
Architecture: all
Section: python
Depends:
 keystone-common (= ${source:Version}),
 python3-bcrypt (>= 3.1.3),
 python3-cryptography (>= 2.7),
 python3-dogpile.cache (>= 1.0.2),
 python3-fixtures (>= 3.0.0),
 python3-flask (>= 1.0.2),
 python3-flask-restful (>= 0.3.5),
 python3-jsonschema (>= 3.2.0),
 python3-jwt (>= 1.6.1),
 python3-keystoneclient (>= 1:3.8.0),
 python3-keystonemiddleware (>= 7.0.0),
 python3-ldap,
 python3-msgpack (>= 0.5.0),
 python3-oauthlib (>= 0.6.2),
 python3-oslo.cache (>= 1.26.0),
 python3-oslo.config (>= 1:6.8.0),
 python3-oslo.context (>= 1:2.22.0),
 python3-oslo.db (>= 6.0.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.44.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 4.3.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils (>= 3.33.0),
 python3-osprofiler (>= 1.4.0),
 python3-passlib (>= 1.7.0),
 python3-paste (>= 2.0.2),
 python3-pastedeploy (>= 1.5.0),
 python3-pbr (>= 2.0.0),
 python3-pycadf (>= 1.1.0),
 python3-pymysql,
 python3-pysaml2 (>= 5.0.0),
 python3-scrypt (>= 0.8.0),
 python3-sqlalchemy (>= 1.4.0),
 python3-stevedore (>= 1:1.20.0),
 python3-webob (>= 1:1.7.1),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python3-ldappool (>= 2.0.0),
 python3-memcache,
Provides:
 ${python3:Provides},
XB-Python-Version: ${python3:Versions}
Description: OpenStack identity service - Python 3 library
 Keystone is a proposed independent authentication service for OpenStack.
 .
 This initial proof of concept aims to address the current use cases in Swift
 and Nova which are:
 .
  * REST-based, token auth for Swift
  * many-to-many relationship between identity and tenant for Nova. Keystone
    does authentication and stuff
 .
 This package contains the Python 3 libraries.

=== debian/rules ===
#!/usr/bin/make -f

# Verbose mode
#export DH_VERBOSE=1

export PYBUILD_NAME=keystone

SHELL := /bin/sh -e

DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/[+].*//' -e 's/~git.*//g' -e 's/+git.*//g' -e 's/~/./g')
export PBR_VERSION=$(VERSION)

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --with apache2,python3,sphinxdoc --buildsystem=pybuild

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	mkdir -p $(CURDIR)/keystone/tests/tmp
	# NOTE(jamespage): exclude check for error level DeprecationWarning's until resolved upstream.
	PYTHONPATH=$(CURDIR) pkgos-dh_auto_test --exclude-regex keystone.tests.unit.tests.test_core.TestTestCase.test_deprecation_warnings_are_raised_as_exceptions_in_tests
endif

override_dh_auto_build:
	dh_auto_build
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	mkdir -p $(CURDIR)/doc/build/html
	mkdir -p $(CURDIR)/doc/build/man
	PYTHONPATH=$(CURDIR) sphinx-build -b man doc/source doc/build/man
	PYTHONPATH=$(CURDIR) sphinx-build -b html doc/source doc/build/html
endif

override_dh_install:
	rm -rf $(CURDIR)/debian/python3-keystone/usr/etc
	dh_install
	dh_missing --fail-missing
	install -D -m 0600 $(CURDIR)/etc/logging.conf.sample  $(CURDIR)/debian/keystone-common/etc/keystone/logging.conf
	PYTHONPATH=$(CURDIR) oslo-config-generator --config-file=config-generator/keystone.conf \
		--output-file=$(CURDIR)/debian/keystone-common/etc/keystone/keystone.conf
	PYTHONPATH=$(CURDIR) oslopolicy-sample-generator --config-file=config-generator/keystone-policy-generator.conf \
		--output-file=$(CURDIR)/debian/keystone-common/etc/keystone/keystone.policy.yaml
	crudini --merge $(CURDIR)/debian/keystone-common/etc/keystone/keystone.conf < $(CURDIR)/debian/keystone.conf.dist

override_dh_installdocs:
	dh_installdocs
	install -d debian/keystone-doc/usr/share/doc/keystone-doc
	cp -a doc/build/html debian/keystone-doc/usr/share/doc/keystone-doc/

override_dh_clean:
	rm -rf $(CURDIR)/build $(CURDIR)/keystone.egg-info $(CURDIR)/.cache
	rm -rf $(CURDIR)/keystone/tests/tmp
	rm -rf $(CURDIR)/.testrepository
	rm -rf $(CURDIR)/debian/tmp
	rm -rf $(CURDIR)/doc/build
	# NOTE(adam_g) The following stuff is built in /doc/source.  Safe for now, but
	# should be fixed upstream or updated here post-essex 
	rm -rf $(CURDIR)/doc/source/keystone*.rst
	rm -rf $(CURDIR)/doc/source/modules.rst
	rm -f debian/*.init debian/*.service debian/*.upstart
	dh_clean

override_dh_auto_clean:
	dh_auto_clean
	rm -rf .eggs .testrepository

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/watch ===
version=3
opts=uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/,pgpsigurlmangle=s/$/.asc/ \
 https://tarballs.opendev.org/openstack/keystone/ keystone-(\d{1,2}\.\d.*)\.tar\.gz

## keystone 28.0.0+git20260119.61.8a42793e7

=== requirements.txt ===
--- 
+++ 
@@ -1,10 +1,6 @@
 # Requirements lower bounds listed here are our best effort to keep them up to
 # date but we do not test them so no guarantee of having them all correct. If
 # you find any incorrect lower bounds, let us know or propose a fix.
-
-# The order of packages is significant, because pip processes them in the order
-# of appearance. Changing the order has an impact on the overall integration
-# process, which may cause wedges in the gate later.
 
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 WebOb>=1.7.1 # MIT
@@ -16,7 +12,6 @@
 python-keystoneclient>=3.8.0 # Apache-2.0
 keystonemiddleware>=7.0.0 # Apache-2.0
 bcrypt>=3.1.3 # Apache-2.0
-scrypt>=0.8.0 # BSD
 oslo.cache>=1.26.0 # Apache-2.0
 oslo.config>=6.8.0 # Apache-2.0
 oslo.context>=2.22.0 # Apache-2.0

=== api-ref/requirements.txt ===
# os-openapi is installed directly from git since we do not do releases (yet?)
# os-openapi @ git+https://opendev.org/openstack/openapi

os-api-ref>=1.4.0 # Apache-2.0

=== doc/requirements.txt ===
openstackdocstheme>=2.2.1 # Apache-2.0
sphinx>=2.0.0,!=2.1.0 # BSD
sphinxcontrib-apidoc>=0.2.0  # BSD
sphinx-feature-classification>=0.4.2  # Apache-2.0
reno>=3.1.0 # Apache-2.0
python-ldap>=3.0.0  # PSF
ldappool>=2.0.0 # MPL

=== debian/changelog ===
keystone (2:28.0.0+git20260119.61.8a42793e7-0ubuntu1) resolute; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    gazpacho.
  * d/watch: update for new upstream
  * d/u/signing-key.asc: remove for snapshot
  * New upstream version 28.0.0+git20260119.61.8a42793e7
  * d/patches/*: refresh patches
  * New upstream snapshot from 8a42793e714efb0b5c1bb07bcb81d2b4ab59b600
    for OpenStack Gazpacho. (LP: #2137590)

 -- Myles Penner <myles.penner@canonical.com>  Thu, 22 Jan 2026 09:38:58 -0800

=== debian/watch ===
version=4
opts=uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/ \
 https://tarballs.opendev.org/openstack/keystone/ keystone-(\d{1,2}\.\d.*)\.tar\.gz

## keystone 2012.1~e1

=== debian/control ===
Source: keystone
Section: net
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Ghe Rivero <ghe@debian.org>
Build-Depends: debhelper (>= 7.0.50),
 python-all (>= 2.6),
 python-all-dev (>= 2.6.6-3~) | python-support,
 python-lxml,
 python-setuptools,
 python-sphinx,
 python-unittest2,
 python-paste,
 python-pastedeploy,
 python-routes,
 python-eventlet,
 python-webob,
 python-sqlalchemy,
 python-passlib,
 python-ldap,
 python-memcache,
 python-swift
X-Python-Version: >= 2.6
Standards-Version: 3.9.2
Homepage: http://launchpad.net/keystone
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/keystone.git;a=summary
Vcs-Git: git://anonscm.debian.org/openstack/keystone.git

Package: python-keystone
Architecture: all
Section: python
Depends: ${python:Depends}, ${misc:Depends},
 python-passlib,
 python-sqlalchemy,
 python-routes,
 python-lxml,
 python-httplib2,
 python-eventlet,
 python-paste,
 python-pastedeploy,
 python-pastescript,
 python-webob,
 python-sqlalchemy,
 python-sqlite,
 python-nova
Recommends: python-memcache, python-ldap
Provides: ${python:Provides}
Description: cloud identity service - Python library
 This is the identity service used by OpenStack for authentication (authN)
 and high-level authorization (authZ). It currently supports token-based
 authN and user-service authorization. It is scalable to include OAuth, SAML
 and openID in future versions. Out of the box, Keystone uses a SQLite DB as
 an identity store with the option to connect to external LDAP.
 .
 This package contains the Python libraries.

Package: keystone
Architecture: all
Section: python
Depends: ${python:Depends}, ${misc:Depends},
 python-keystone (= ${source:Version}),
 adduser
Description: cloud identity service
 This is the identity service used by OpenStack for authentication (authN)
 and high-level authorization (authZ). It currently supports token-based
 authN and user-service authorization. It is scalable to include OAuth, SAML
 and openID in future versions. Out of the box, Keystone uses a SQLite DB as
 an identity store with the option to connect to external LDAP.
 .
 This package contains the daemons.

Package: keystone-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Proposed OpenStack identity service - Documentation
 This is the identity service used by OpenStack for authentication (authN)
 and high-level authorization (authZ). It currently supports token-based
 authN and user-service authorization. It is scalable to include OAuth, SAML
 and openID in future versions. Out of the box, Keystone uses a SQLite DB as
 an identity store with the option to connect to external LDAP.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f
# Verbose mode
export DH_VERBOSE=1

%:
	dh $@ --with python2

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	bash run_tests.sh -N
endif

override_dh_auto_build:
	dh_auto_build
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	python setup.py build_sphinx
else
	mkdir -p $(CURDIR)/build/sphinx/html
	mkdir -p $(CURDIR)/build/sphinx/man
	touch $(CURDIR)/build/sphinx/man/keystone-manage.1
endif

override_dh_install:
	dh_install
	chmod -x $(CURDIR)/debian/python-keystone/usr/lib/python*/dist-packages/keystone/test/etc/ldap.conf.template
	sed -i 's|^log_file = keystone.log$$|log_file = /var/log/keystone/keystone.log|' \
		$(CURDIR)/debian/keystone/etc/keystone/keystone.conf
	sed -i 's|^sqlite = sqlite:///keystone.db$$|sqlite = sqlite:///var/lib/keystone/keystone.db|' \
		$(CURDIR)/debian/keystone/etc/keystone/keystone.conf

override_dh_clean:
	rm -rf $(CURDIR)/build $(CURDIR)/keystone.egg-info
	rm -rf $(CURDIR)/keystone/test/*.log
	rm -rf $(CURDIR)/doc/source/sourcecode
	rm -rf $(CURDIR)/admin.log $(CURDIR)/keystone-legacy-auth.log
	dh_clean

## keystone 2012.1~e2

=== debian/control ===
--- 
+++ 
@@ -21,8 +21,8 @@
  python-passlib,
  python-ldap,
  python-memcache,
- python-swift
-X-Python-Version: >= 2.6
+ python-swift,
+ python-nose
 Standards-Version: 3.9.2
 Homepage: http://launchpad.net/keystone
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/keystone.git;a=summary
@@ -46,8 +46,7 @@
  python-sqlite,
  python-nova
 Recommends: python-memcache, python-ldap
-Provides: ${python:Provides}
-Description: cloud identity service - Python library
+Description: OpenStack identity service - library
  This is the identity service used by OpenStack for authentication (authN)
  and high-level authorization (authZ). It currently supports token-based
  authN and user-service authorization. It is scalable to include OAuth, SAML
@@ -61,8 +60,9 @@
 Section: python
 Depends: ${python:Depends}, ${misc:Depends},
  python-keystone (= ${source:Version}),
- adduser
-Description: cloud identity service
+ adduser,
+ lsb-base (>= 3.0-6)
+Description: OpenStack identity service
  This is the identity service used by OpenStack for authentication (authN)
  and high-level authorization (authZ). It currently supports token-based
  authN and user-service authorization. It is scalable to include OAuth, SAML
@@ -75,7 +75,7 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}
-Description: Proposed OpenStack identity service - Documentation
+Description: OpenStack identity service - documentation
  This is the identity service used by OpenStack for authentication (authN)
  and high-level authorization (authZ). It currently supports token-based
  authN and user-service authorization. It is scalable to include OAuth, SAML

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,4 @@
 #!/usr/bin/make -f
-# Verbose mode
-export DH_VERBOSE=1
-
 %:
 	dh $@ --with python2
 
@@ -10,15 +7,17 @@
 	bash run_tests.sh -N
 endif
 
-override_dh_auto_build:
-	dh_auto_build
-ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
-	python setup.py build_sphinx
-else
-	mkdir -p $(CURDIR)/build/sphinx/html
-	mkdir -p $(CURDIR)/build/sphinx/man
-	touch $(CURDIR)/build/sphinx/man/keystone-manage.1
-endif
+### This is temporary because upstream documentation does not build
+# override_dh_auto_build:
+# 	dh_auto_build
+# 	python setup.py build_sphinx
+
+override_dh_installman:
+
+override_dh_installdocs:
+	dh_installdocs -X build/sphinx
+
+###
 
 override_dh_install:
 	dh_install

## keystone 2012.1~e3

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,10 @@
  python-ldap,
  python-memcache,
  python-swift,
- python-nose
+ python-nose,
+ python-migrate,
+ python-prettytable,
+ python-mox
 Standards-Version: 3.9.2
 Homepage: http://launchpad.net/keystone
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/keystone.git;a=summary
@@ -44,7 +47,8 @@
  python-webob,
  python-sqlalchemy,
  python-sqlite,
- python-nova
+ python-nova,
+ python-dateutil
 Recommends: python-memcache, python-ldap
 Description: OpenStack identity service - library
  This is the identity service used by OpenStack for authentication (authN)
@@ -61,7 +65,8 @@
 Depends: ${python:Depends}, ${misc:Depends},
  python-keystone (= ${source:Version}),
  adduser,
- lsb-base (>= 3.0-6)
+ lsb-base (>= 3.0-6),
+ dbconfig-common
 Description: OpenStack identity service
  This is the identity service used by OpenStack for authentication (authN)
  and high-level authorization (authZ). It currently supports token-based

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with python2

# ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
# override_dh_auto_test:
# 	bash run_tests.sh -N
# endif

### This is temporary because upstream documentation does not build
# override_dh_auto_build:
# 	dh_auto_build
# 	python setup.py build_sphinx

override_dh_installman:

override_dh_installdocs:
	dh_installdocs -X build/sphinx

###

override_dh_install:
	dh_install
	chmod -x $(CURDIR)/debian/python-keystone/usr/lib/python*/dist-packages/keystone/test/etc/ldap.conf.template
	sed -i 's|^log_file = keystone.log$$|log_file = /var/log/keystone/keystone.log|' \
		$(CURDIR)/debian/keystone/etc/keystone/keystone.conf

override_dh_clean:
	rm -f run_tests.log
	rm -rf $(CURDIR)/build $(CURDIR)/keystone.egg-info
	rm -rf $(CURDIR)/keystone/test/*.log
	rm -rf $(CURDIR)/keystone/test/*.test.db
	rm -rf $(CURDIR)/doc/source/sourcecode
	rm -rf $(CURDIR)/admin.log $(CURDIR)/keystone-legacy-auth.log
	dh_clean

## keystone 2012.1~e4

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,9 @@
  python-nose,
  python-migrate,
  python-prettytable,
- python-mox
+ python-mox,
+ python-dateutil,
+ pep8
 Standards-Version: 3.9.2
 Homepage: http://launchpad.net/keystone
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/keystone.git;a=summary
@@ -66,7 +68,8 @@
  python-keystone (= ${source:Version}),
  adduser,
  lsb-base (>= 3.0-6),
- dbconfig-common
+ dbconfig-common,
+ python-keystoneclient
 Description: OpenStack identity service
  This is the identity service used by OpenStack for authentication (authN)
  and high-level authorization (authZ). It currently supports token-based

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with python2

# ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
# override_dh_auto_test:
# 	bash run_tests.sh -N
# endif

override_dh_auto_build:
	dh_auto_build
	python setup.py build_sphinx

override_dh_installman:

override_dh_install:
	dh_install

override_dh_clean:
	rm -f run_tests.log
	rm -rf $(CURDIR)/build $(CURDIR)/keystone.egg-info
	rm -rf $(CURDIR)/keystone/test/*.log
	rm -rf $(CURDIR)/keystone/test/*.test.db
	rm -rf $(CURDIR)/doc/source/sourcecode
	rm -rf $(CURDIR)/admin.log $(CURDIR)/keystone-legacy-auth.log
	dh_clean

## keystone 2012.1

=== debian/rules ===
#!/usr/bin/make -f

# Verbose mode
#export DH_VERBOSE=1

%:
	dh $@ --with python2

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	# create a dummy db for testing
	rm -rf $(CURDIR)/debian/tests/testing.db
	migrate version_control sqlite:////$(CURDIR)/debian/tests/testing.db \
		$(CURDIR)/keystone/common/sql/migrate_repo
	# run migrations
	PYTHONPATH=$(CURDIR)  migrate upgrade \
		sqlite:////$(CURDIR)/debian/tests/testing.db \
		$(CURDIR)/keystone/common/sql/migrate_repo 

	# tests/test_overrides.conf can be used to setup the environment
	# for unit testing.
	cp tests/test_overrides.conf tests/test_overrides.conf.orig
	cp $(CURDIR)/debian/tests/test_overrides.conf $(CURDIR)/tests/test_overrides.conf
	sed -i 's|%CUR_DIR%|$(CURDIR)|g' $(CURDIR)/tests/test_overrides.conf	
	# TEMP: ignore failures until bug 961871 is resolved
	bash run_tests.sh -N
	mv $(CURDIR)/tests/test_overrides.conf.orig $(CURDIR)/tests/test_overrides.conf
	rm -rf $(CURDIR)/debian/tests/testing.db
endif

override_dh_auto_build:
	dh_auto_build
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	python setup.py build_sphinx
else
	mkdir -p $(CURDIR)/doc/build/html
	mkdir -p $(CURDIR)/doc/build/man
endif

override_dh_install:
	dh_install
	rm -rf debian/python-keystone/usr/lib/python*/*/doc
	rm -rf debian/python-keystone/usr/lib/python*/*/tools
	rm -rf debian/python-keystone/usr/lib/python*/*/examples
	install -D -m 0600 $(CURDIR)/debian/logging.conf $(CURDIR)/debian/keystone/etc/keystone/logging.conf

override_dh_clean:
	rm -rf $(CURDIR)/build $(CURDIR)/keystone.egg-info $(CURDIR)/.cache
	rm -rf $(CURDIR)/keystone/test/keystone.sql.log $(CURDIR)/keystone/test/keystone.ldap.log
	rm -rf $(CURDIR)/doc/build
	# NOTE(adam_g) The following stuff is built in /doc/source.  Safe for now, but
	# should be fixed upstream or updated here post-essex 
	rm -rf $(CURDIR)/doc/source/keystone*.rst
	rm -rf $(CURDIR)/doc/source/modules.rst
	dh_clean

get-orig-source:
	uscan --verbose --force-download --rename --destdir=../build-area
